##
##  maatkit.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2011 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         maatkit
Summary:      Essential Command-Line Utilities for MySQL
URL:          http://www.maatkit.org/
Vendor:       Baron Schwartz et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      GPL
Version:      7540
Release:      20110610

#   list of sources
Source0:      http://maatkit.googlecode.com/files/maatkit-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  perl, perl-dbi, perl-dbi::with_mysql = yes
PreReq:       perl, perl-dbi, perl-dbi::with_mysql = yes
BuildPreReq:  perl-sys, perl-util
PreReq:       perl-sys, perl-util

%description
    Maatkit contains essential command-line utilities for MySQL, such
    as table checksums, a query profiler, and a visual EXPLAIN tool. It
    provides missing features such as checking whether slaves have the
    same data as the master.

%track
    prog maatkit = {
        version   = %{version}
        url       = http://code.google.com/p/maatkit/downloads/list
        regex     = maatkit-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg configure build

%install

    %{l_prefix}/bin/perl-openpkg install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        `cat perl-openpkg-files`

%files -f files

%clean

